安装swoole扩展出现linux/aio_abi.h: No such file or directory
0 PHP rabin 144 阅读 • 8个月前

如题所述,swoole除了需要libevent-dev依赖,还需要aio。

如果出现

linux/aio_abi.h: No such file or directory

该错误,说明缺少libaio依赖,安装下试试

apt/yum install libaio-dev 

如果还是不行,随便找个其他的包,只要包含aio的就行

apt/yum install libmnl-dev

安装成功。

其中的apt/yum,系统为ubuntu或者centos,不同操作系统的报名后缀不同,如libaio-dev这个包的名字还可能是libaio-devel。

评论:0